Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.resource
Enum ResourceEntry.ResourceType

    java.lang.Object
      java.lang.Enum<ResourceEntry.ResourceType>
          org.pentaho.di.resource.ResourceEntry.ResourceType

All Implemented Interfaces:
  Serializable, Comparable<ResourceEntry.ResourceType>

Enclosing class:
  ResourceEntry

    public static enum ResourceEntry.ResourceType

extends Enum<ResourceEntry.ResourceType>

Enum Constant Summary
`ACTIONFILE`
`CONNECTION`
`DATABASENAME`
`FILE`
`OTHER`
`SERVER`
`URL`

Method Summary
`static ResourceEntry.ResourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceEntry.ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILE

    public static final ResourceEntry.ResourceType FILE

### CONNECTION

    public static final ResourceEntry.ResourceType CONNECTION

### SERVER

    public static final ResourceEntry.ResourceType SERVER

### URL

    public static final ResourceEntry.ResourceType URL

### DATABASENAME

    public static final ResourceEntry.ResourceType DATABASENAME

### ACTIONFILE

    public static final ResourceEntry.ResourceType ACTIONFILE

### OTHER

    public static final ResourceEntry.ResourceType OTHER

Method Detail

### values

    public static final ResourceEntry.ResourceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResourceEntry.ResourceType c : ResourceEntry.ResourceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResourceEntry.ResourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD